
///////////////
//castle wood//
///////////////

textures/castle_wood/cwood_mo5c
{
	surfaceparm woodsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/castle_wood/cwood_mo5c.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/castle_wood/cwood_mo2_mirror
{
	qer_editorimage textures/castle_wood/cwood_mo2s1.tga
	portal

	// mirror pass
	{
		map textures/common/mirror1.tga
		blendfunc GL_ONE GL_ONE
		depthWrite
	}

	// texture pass
	{
		map textures/castle_wood/cwood_mo2s1.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA 
		rgbGen identity
	}

	// lightmap pass
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/castle_wood/cwood_c10
{
	surfaceparm woodsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/castle_wood/cwood_c10.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/castle_wood/cwood_mo6
{
	surfaceparm woodsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/castle_wood/cwood_mo6.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/castle_wood/cwood_mo2s1
{
	surfaceparm woodsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/castle_wood/cwood_mo2s1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/castle_wood/cwood_c15
{
	surfaceparm woodsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/castle_wood/cwood_c15.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/castle_wood/cwood_c18
{
	surfaceparm woodsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/castle_wood/cwood_c18.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

/////////////////
//castle window//
/////////////////

textures/castle_window/CASHUDDER_C01
{
	surfaceparm woodsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/castle_window/CASHUDDER_C01.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/castle_window/cwindow_m01
{
	{
		map textures/castle_window/cwindow_m01.tga
		blendFunc GL_ONE GL_ZERO
		rgbGen identity
	}
	{
		map textures/effects/tinfx.tga
		blendFunc GL_ONE_MINUS_DST_ALPHA GL_ONE
		tcMod Scale 1.2 1.2  
		tcGen environment
	}
//	{
//		map $lightmap
//		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
//		rgbGen identity
//	}
}

////////////////
//castle floor//
////////////////

textures/castle_floor/floor_c10_a
{
	surfaceparm woodsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/castle_floor/floor_c10_a.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

///////////////
//castle door//
///////////////

textures/castle_door/door_m01

{
	surfaceparm woodsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/castle_door/door_m01.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}


////////////////
//castle props//
////////////////


//// maxx window /////

textures/castle_props/castle_m11b
{
	qer_editorimage textures/castle_props/castle_m11b.tga
	// surfaceparm nomarks
	// q3map_lightimage textures/castle_props/castle_m11b.tga
	q3map_surfacelight 200
	light 1


	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/castle_props/castle_m11b.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/castle_props/castle_m11b.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

//// maxx window /////

textures/castle_props/castle_m11c
{
	qer_editorimage textures/castle_props/castle_m11c.tga
	// surfaceparm nomarks
	// q3map_lightimage textures/castle_props/castle_m11c.tga
	q3map_surfacelight 200
	light 1


	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/castle_props/castle_m11c.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/castle_props/castle_m11c.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}